Name: cvsweb
Version: 1.112
Release: alt2
Summary: Visual (www) interface to explore a cvs repository
Summary(ru_RU.KOI8-R):     CVS 
License: BSD
Group: System/Servers
Url: http://stud.fh-heilbronn.de/~zeller/cgi/cvsweb.cgi/
Source: %name-%version.tar.bz2
Source1: mandrake-big.jpg
Patch: %name-1.93-config.patch.bz2
Requires: rcs
BuildArchitectures: noarch

%description
cvsweb is a visual (www) interface to explore a cvs repository. This is an
enhanced cvsweb developed by Henner Zeller. Enhancements include recognition
and display of popular mime-types, visual, color-coded, side by side diffs
of changes and the ability sort the file display and to hide old files
from view. One living example of the enhanced cvsweb is the KDE cvsweb

cvsweb requires the server to have cvs and a cvs repository worth exploring.

%description -l ru_RU.KOI8-R
cvsweb -   (www)    cvs .
       cvs  
cvs ,      .

%prep
%setup -q -n cvsweb
%patch -p1

%build
%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/var/www/{cgi-bin,icons}
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
install -m 755 cvsweb.cgi $RPM_BUILD_ROOT/var/www/cgi-bin/
install -m 644 cvsweb.conf $RPM_BUILD_ROOT/etc/httpd/conf/
install %SOURCE1 $RPM_BUILD_ROOT/var/www/icons/

%files
%doc INSTALL README TODO
/var/www/cgi-bin/cvsweb.cgi
%config(noreplace) /etc/httpd/conf/cvsweb.conf
/var/www/icons/mandrake-big.jpg

%changelog
* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.112-alt2
- rebuild

* Sat Jan 05 2002 Rider <rider@altlinux.ru> 1.112-alt1
- 1.112
- spec cleanup
- russian summary and description

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Thu Jan  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.93-3mdk
- added requires rcs
- fix bad config file path

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.93-2mdk
- /home/httpd => /var/www

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.93-1mdk
- 1.93

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.89-1mdk
- 1.89 (security fix).

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.80-2mdk
- changed icon.

* Tue Mar  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.80-1mdk
- mandrake version.

* Tue Oct 12 1999 Peter Hanecak <hanecak@megaloman.sk>
- initial spec (based on Ryan Weaver's <ryanw@infohwy.com> gtksee spec
  because i like the style of it)
